h1
{
  margin-bottom: 0.2em;
}

article
{
  border-top: 1px solid #CDCDCD;
}

.cols
{
  display: flex;
  flex-direction: row;
}

.cols > aside
{
  width: 200px;
}

.cols > section
{
  flex: 1;
}

/*******************************************************************************
 * Platforms
 ******************************************************************************/

#platforms
{
  margin-bottom: 2em;
}

#platforms img
{
  height: 1.5em;
}

#platforms img:not(:first-child)
{
  margin-left: 10px;
}

/*******************************************************************************
 * Approvals
 ******************************************************************************/

body:not([data-phase="planned"]) #approvals .phase-planned,
body:not([data-phase="development"]) #approvals .phase-development,
body:not([data-phase="featurefreeze"]) #approvals .phase-featurefreeze,
body:not([data-phase="codefreeze"]) #approvals .phase-codefreeze,
body:not([data-phase="storereview"]) #approvals .phase-storereview,
body:not([data-phase="closed"]) #approvals .phase-closed
{
  display: none;
}

/*******************************************************************************
 * Progress
 ******************************************************************************/

#progress .phase
{
  position: relative;
  height: 6em;
  border-left: 10px solid #CCC;
}

#progress .phase-planned {border-color: var(--color-phase-planned);}
#progress .phase-development {border-color: var(--color-phase-development);}
#progress .phase-featurefreeze {border-color: var(--color-phase-featurefreeze);}
#progress .phase-codefreeze {border-color: var(--color-phase-codefreeze);}
#progress .phase-storereview {border-color: var(--color-phase-storereview);}

#progress .phase-planned,
#progress .phase-closed
{
  height: 2.5em;
}

#progress .milestone
{
  display: inline-block;
  position: absolute;
  left: -10px;
  padding-left: 30px;
  border-top: 1px solid #000;
}

#progress .milestone .date
{
  font-size: 0.8em;
}

/*******************************************************************************
 * Scope
 ******************************************************************************/

#scope:empty
{
  padding: 0;
}

#scope:empty::before
{
  content: "None";
}

/*******************************************************************************
 * Announcements
 ******************************************************************************/

#announcements:empty
{
  padding: 0;
}

#announcements:empty::before
{
  content: "None";
}

/*******************************************************************************
 * Notes / Log
 ******************************************************************************/

.notes
{
  padding: 1em;
  margin-bottom: 1em;
  border: 1px solid #CDCDCD;
  border-radius: 4px;
}

.notes ul:empty
{
  padding: 0;
}

.notes:empty::before,
.notes ul:empty::before
{
  content: "None";
}

.notes > h4:first-child
{
  margin-top: 0;
}

.notes li
{
  margin-bottom: 0.5em;
}

.notes .note
{
  font-size: smaller;
  font-style: italic;
}

#log
{
  white-space: pre-wrap;
}
